Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.filter
Class SimpleAbstractColumnIterator

    java.lang.Object
      com.google.common.collect.UnmodifiableIterator<T>
          com.google.common.collect.AbstractIterator<IColumn>
              org.apache.cassandra.db.filter.SimpleAbstractColumnIterator

All Implemented Interfaces:
  java.util.Iterator<IColumn>, ColumnIterator

Direct Known Subclasses:
  SSTableNamesIterator

    public abstract class SimpleAbstractColumnIterator

extends com.google.common.collect.AbstractIterator<IColumn>
implements ColumnIterator

Constructor Summary
`SimpleAbstractColumnIterator()`

Method Summary
`void` | `close()` clean up any open resources

Methods inherited from class com.google.common.collect.AbstractIterator
`computeNext, endOfData, hasNext, next, peek`

Methods inherited from class com.google.common.collect.UnmodifiableIterator
`remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cassandra.db.filter.ColumnIterator
`getColumnFamily`

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Constructor Detail

### SimpleAbstractColumnIterator

    public SimpleAbstractColumnIterator()

Method Detail

### close

    public void close()
               throws java.io.IOException

  Description copied from interface: `ColumnIterator`
  clean up any open resources

  Specified by:
    `close` in interface `ColumnIterator`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation